"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/4_/xyjwmyz1497g3qhhndg003800000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10edf30d0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3160>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10edf31f0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3280>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3310>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10edf33a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3430>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10edf34c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3550>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10edf35e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3670>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3700>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3790>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3820>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10edf38b0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3940>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10edf39d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3a60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3af0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3b80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3c10>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3ca0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3d30>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3dc0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3ee0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3e50>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10edf3f70>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7040>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10edf70d0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7160>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10edf71f0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7280>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7310>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10edf73a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7430>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10edf74c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7550>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10edf75e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7670>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7700>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7790>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7820>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10edf78b0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7940>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10edf79d0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7a60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7af0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7b80>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7c10>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7ca0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7d30>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7dc0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7e50>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7ee0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10edf7f70>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc0d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc160>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc1f0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc280>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc310>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc3a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc430>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc4c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc550>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc700>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc5e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc790>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc820>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc8b0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc940>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10edfc9d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10edfcaf0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10edfca60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10edfcb80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10edfcc10>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10edfcca0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10edfcdc0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10edfcd30>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10edfce50>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10edfcee0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10edfcf70>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10ee00040>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10ee000d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10ee00160>)]
name: str = 'fr_HOCCN'
